﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Reflection;
using System.Runtime.CompilerServices;
using Infragistics.Windows.Themes;
using System.IO;
using System.Diagnostics;

namespace PerformanceTestVehicle
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        List<Window> gridWindows = new List<Window>();

        public MainWindow()
        {
            InitializeComponent();

        }

        void OpenApplicationWindow(object sender, RoutedEventArgs e)
        {
            Stopwatch stopwatch = new Stopwatch();

            //tune the loading
            stopwatch.Start();
            ComplexApplicationWindow gridWindow = new ComplexApplicationWindow();
            stopwatch.Stop();
            long loading = stopwatch.ElapsedMilliseconds;

            //time the rendering
            stopwatch.Reset();
            stopwatch.Start();
            gridWindow.Show();
            stopwatch.Stop();

            this.gridWindows.Add(gridWindow);
            txtLoading.Text = loading.ToString() + " ms";
            txtRendering.Text = stopwatch.ElapsedMilliseconds.ToString() + " ms";
        }

        private void Window_Closed(object sender, EventArgs e)
        {
            //close all grid windows
            foreach (ComplexApplicationWindow gw in this.gridWindows)
                gw.Close();

            this.gridWindows.Clear();
        }
    }
}
